# class ActiveRecord::UnknownPrimaryKey

Raised when a primary key is needed, but not specified in the schema or model.

### Attributes

model[R]

### Public Class Methods

new(model = nil, description = nil) click to toggle source
Calls superclass method

    # File lib/active_record/errors.rb, line 275
    def initialize(model = nil, description = nil)
      if model
        message = "Unknown primary key for table #{model.table_name} in model #{model}."
        message += "\n#{description}" if description
        @model = model
        super(message)
      else
        super("Unknown primary key.")
      end
    end